import { BaseCommand, TRANSFER_PARTIAL_ID } from '../../base.js';
export default class RequestGet extends BaseCommand {
    static args = {
        id: TRANSFER_PARTIAL_ID,
    };
    static description = 'Show details of an existing transfer.';
    static enableJsonFlag = true;
    async run() {
        const res = await this.matchTransfer(this.args.id);
        return this.logTransfer(res);
    }
}
